# Class StandardSessionIdGenerator

java.lang.Object
org.apache.catalina.util.LifecycleBase
org.apache.catalina.util.SessionIdGeneratorBase
org.apache.catalina.util.StandardSessionIdGenerator

All Implemented Interfaces:
  `Lifecycle`, `SessionIdGenerator`

public class StandardSessionIdGenerator extends SessionIdGeneratorBase

## Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.catalina.Lifecycle

`Lifecycle.SingleUse`

## Field Summary

### Fields inherited from class org.apache.catalina.util.SessionIdGeneratorBase

`DEFAULT_SECURE_RANDOM_ALGORITHM`

### Fields inherited from interface org.apache.catalina.Lifecycle

`AFTER_DESTROY_EVENT, AFTER_INIT_EVENT, AFTER_START_EVENT, AFTER_STOP_EVENT, BEFORE_DESTROY_EVENT, BEFORE_INIT_EVENT, BEFORE_START_EVENT, BEFORE_STOP_EVENT, CONFIGURE_START_EVENT, CONFIGURE_STOP_EVENT, PERIODIC_EVENT, START_EVENT, STOP_EVENT`

## Constructor Summary

Constructors
Constructor
Description
`StandardSessionIdGenerator()`

## Method Summary

Modifier and Type
Method
Description
`String`
`generateSessionId(String route)`
Generate and return a new session identifier.

### Methods inherited from class org.apache.catalina.util.SessionIdGeneratorBase

`destroyInternal, generateSessionId, getJvmRoute, getRandomBytes, getSecureRandomAlgorithm, getSecureRandomClass, getSecureRandomProvider, getSessionIdLength, initInternal, setJvmRoute, setSecureRandomAlgorithm, setSecureRandomClass, setSecureRandomProvider, setSessionIdLength, startInternal, stopInternal`

### Methods inherited from class org.apache.catalina.util.LifecycleBase

`addLifecycleListener, destroy, findLifecycleListeners, fireLifecycleEvent, getState, getStateName, getThrowOnFailure, init, removeLifecycleListener, setState, setState, setThrowOnFailure, start, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StandardSessionIdGenerator

public StandardSessionIdGenerator()

## Method Details

### generateSessionId

public String generateSessionId(String route)
Description copied from interface: `SessionIdGenerator`
Generate and return a new session identifier.

Parameters:
  `route` - node identifier to include in generated id
Returns:
  the newly generated session id